#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

bool proveri(vector<int> a, int b){
    int i = a.size()/2, c = a[i], donja = 0, gornja = a.size() - 1;
    while(true){
        if(b == a[i]) return true;
        else if(gornja == donja) return false;
        else if(b < a[i]) gornja = i - 1;
        else donja = i + 1;

        i = (gornja + donja)/2;
    }
}

int odredi_medijanu(vector<int> a){
    return a[a.size()/2];
}

int main() {
    int n, q;
    cin >> n >> q;
    vector<int> a(n);
    vector<int> b(q);

    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    for(int i = 0; i < q; i++){
        cin >> b[i];
    }

    int najveci = a[a.size() - 1] + 1, najmanji = a[0];

    sort(a.begin(), a.end());

    vector<int> kopija_a = a;

    for(int i = 0; i < q; i++){
        int m = b[i], brojac = 0;
        if(proveri(a, m) == 0){
            brojac++;
            a.push_back(m);
            sort(a.begin(), a.end());
        }
        int medijana = odredi_medijanu(a);

        while(medijana != m){
            if(medijana < m) a.push_back(najveci);
            else a.push_back(najmanji);

            brojac++;
            sort(a.begin(), a.end());
            medijana = odredi_medijanu(a);
        }

        a = kopija_a;
        cout << brojac << endl;
    }
}